var hypothetical_universe_ore_harvester_structure = [["   a   ","   b   ","   c   ","abcdcba","   c   ","   b   ","   a   ","       "],["   b   "," eeeee "," eeeee ","beeeeeb"," eeeee "," eeeee ","   b   ","       "],["   c   "," eeeee "," efffe ","cefffec"," efffe "," eeeee ","   c   ","       "],["abcdcba","beeeeeb","cefffec","defgfed","cefffec","beeeeeb","abcdcba","   m   "],["   c   "," eeeee "," efffe ","cefffec"," efffe "," eeeee ","   c   ","       "],["   b   "," eeeee "," eeeee ","beeeeeb"," eeeee "," eeeee ","   b   ","       "],["   a   ","   b   ","   c   ","abcdcba","   c   ","   b   ","   a   ","       "]]
var hypothetical_universe_ore_harvester_structure_dictionary = {"a":"minecraft:diamond_block","b":"kubejs:briliant_diamond_block","c":"kubejs:ore_harvester_casing","d":"extendedcrafting:nether_star_block","e":"minecraft:glass","f":"kubejs:white_matter_block","g":"astralsorcery:illuminator"}

onEvent('recipes', event => {

    //Ores
    event.recipes.custommachinery.custom_machine("modpack:hypothetical_universe_ore_harvester", 600)
        .produceItem(Item.of("minecraft:iron_ore", 28))
        .produceItem(Item.of("minecraft:gold_ore", 11))
        .produceItem(Item.of("minecraft:coal_ore", 26))
        .produceItem(Item.of("minecraft:diamond_ore", 12))
        .produceItem(Item.of("minecraft:emerald_ore", 10))
        .produceItem(Item.of("minecraft:redstone_ore", 16))
        .produceItem(Item.of("minecraft:lapis_ore", 11))
        .produceItem(Item.of("minecraft:nether_quartz_ore", 14))
        .produceItem(Item.of("minecraft:ancient_debris", 11))
        .produceItem(Item.of("astralsorcery:aquamarine_sand_ore", 15))
        .produceItem(Item.of("astralsorcery:rock_crystal_ore", 6))
        .produceItem(Item.of("astralsorcery:starmetal_ore", 10))
        .requireItem(Item.of("minecraft:stone", 64))
        .requireItem(Item.of("minecraft:stone", 64))
        .requireItem(Item.of("minecraft:stone", 64))
        .requireFluid(Fluid.of("astralsorcery:liquid_starlight", 25000))
        .requireEnergyPerTick(100)
        .requireStructure(hypothetical_universe_ore_harvester_structure, hypothetical_universe_ore_harvester_structure_dictionary)

})